const pluginImportInit = require("@dao-style/vue-cli-plugin-shared-utils/lib/pluginImportInit");

module.exports = (api) => {
  const { chalk } = require(require.resolve("@vue/cli-shared-utils"));

  let isTs = false;

  /**
   * 当 qiankun 与 plugins 有一个存在时，对于 main 的修改就将仅限于注入相关的信息
   */

  if (api.hasPlugin("typescript")) {
    isTs = true;
  }

  // api, importFrom, defaultImport, otherImport/for export

  const pkg = {
    dependencies: {
      "axios": "^0.25.0",
      "qs": "^6.10.3",
    },
  };

  api.extendPackage(pkg);

  pluginImportInit(api, "./axios", "axiosInstall");

  if (isTs) {
    api.render("./template-ts", {});
  } else {
    api.render("./template");
  }
};
