declare namespace MyRequest {
  class request {
    /**
       * POST 方法
       * @param url 请求路径
       * @param data 请求参数
       * @param config 请求配置
       */
    public post<T>(url: string, data?: T, config?: Record<string, unknown>): Promise<AxiosResponse<T>>;

    /**
       * GET 方法
       * @param url 请求路径
       * @param params 请求参数
       * @param config 请求配置
       */
    public get<T>(url: string, params?: Record<string, unknown>, config?: Record<string, unknown>): Promise<AxiosResponse<T>>;

    /**
       * PUT 方法
       * @param url 请求路径
       * @param params 请求参数
       * @param config 请求配置
       */
    public put<T>(url: string, data?: T, config?: Record<string, unknown>): Promise<AxiosResponse<T>>;

    /**
       * PATCH 方法
       * @param url 请求路径
       * @param params 请求参数
       * @param config 请求配置
       */
    public patch<T>(
      url: string,
      data?: Partial<T>,
      config?: Record<string, unknown>): Promise<AxiosResponse<T>>;

    /**
       * DELETE 方法
       * @param url 请求路径
       * @param params 请求参数
       * @param config 请求配置
       */
    public delete(url: string): Promise<AxiosResponse>;
  }
}
